## CORBA Interface IServerAdmin

The ServerAdmin interface contains administrative methods that are used to collect data from a server.

### Definition

CORBA Module SASIOMCommon

### IServerAdmin Description

CORBA Definitions
method ServerAdminStart | Start the server.
method ServerAdminStop | Terminate the server.
method ServerAdminDeferredStop | Stop the server when all current client work is complete.
method ServerAdminPause | Pause the server so that it does not accept any new work.
method ServerAdminContinue | Resume server operation.
attribute ServerAdminUniqueID | This UUID is the per-execution instance identifier.
attribute ServerAdminName | Set or retrieve the name of the server.
method ResetServerPerformance | This operation is not implemented.
method GetServerPerformance | Get information regarding server status and performance.
method ServerAdminGetInfo | Get information about the server.
method ServerAdminControlInfo | Determine what functionality is supported.
exception jnlNotAvail | "Journal Not Available" exception used by the JnlAccess operation.
exception jnlRecNotExist | "Journal Record Does Not Exist" exception used by the JnlAccess operation.
exception jnlRecPastEnd | "Journal Record Past End" exception used by the JnlAccess operation.
method JnlAccess | The JnlAccess operation is used to view the IOM journal for a given server.

Java Classes
IServerAdminHelper | Used to manipulate the IServerAdmin type
IServerAdminHolder | Used to process the IServerAdmin type as an out parameter
jnlNotAvail | "Journal Not Available" exception used by the JnlAccess operation.
jnlNotAvailHelper | Used to manipulate the jnlNotAvail type
jnlNotAvailHolder | Used to process the jnlNotAvail type as an out parameter
jnlRecNotExist | "Journal Record Does Not Exist" exception used by the JnlAccess operation.
jnlRecNotExistHelper | Used to manipulate the jnlRecNotExist type
jnlRecNotExistHolder | Used to process the jnlRecNotExist type as an out parameter
jnlRecPastEnd | "Journal Record Past End" exception used by the JnlAccess operation.
jnlRecPastEndHelper | Used to manipulate the jnlRecPastEnd type
jnlRecPastEndHolder | Used to process the jnlRecPastEnd type as an out parameter

Java Interfaces
IServerAdmin | The ServerAdmin interface contains administrative methods that are used to collect data from a server.

Java Interface IServerAdmin

The ServerAdmin interface contains administrative methods that are used to collect data from a server.

Package com.sas.iom.SASIOMCommon

IServerAdmin Description

`public interface IServerAdmin
extends org.omg.CORBA.Object`

Method Summary

void | ServerAdminStart () Start the server.
void | ServerAdminStop () Terminate the server.
void | ServerAdminDeferredStop () Stop the server when all current client work is complete.
void | ServerAdminPause () Pause the server so that it does not accept any new work.
void | ServerAdminContinue () Resume server operation.
void | ResetServerPerformance () This operation is not implemented.
void | GetServerPerformance ( DoubleSeqHolder values ) throws ( GenericError ); Get information regarding server status and performance.
void | ServerAdminGetInfo ( StringSeqHolder softwareInfo , VariableArray2dOfStringHolder hardwareInfo ) throws ( GenericError ); Get information about the server.
void | ServerAdminControlInfo ( org.omg.CORBA.BooleanHolder supportsStart , org.omg.CORBA.BooleanHolder supportsStop , org.omg.CORBA.BooleanHolder supportsDStop , org.omg.CORBA.BooleanHolder supportsPause , org.omg.CORBA.BooleanHolder supportsContinue ) throws ( GenericError ); Determine what functionality is supported.
void | JnlAccess ( int startPos , int recsRequested , boolean backwardFlag , StringSeqHolder jnlRecs , org.omg.CORBA.IntHolder lastRec ) throws ( jnlNotAvail, jnlRecNotExist, jnlRecPastEnd, GenericError ); The JnlAccess operation is used to view the IOM journal for a given server.

Java Class IServerAdminHelper

public class IServerAdminHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IServerAdmin type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdminHelper

Java Class IServerAdminHolder

public class IServerAdminHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IServerAdmin type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdminHolder

CORBA Method ServerAdminStart

Start the server.

Description

Usage

Java Method ServerAdminStart

`void` ServerAdminStart ( )

Example

CORBA Method ServerAdminStop

Terminate the server.

Description

Usage

Java Method ServerAdminStop

`void` ServerAdminStop ( )

Example

CORBA Method ServerAdminDeferredStop

Stop the server when all current client work is complete.

Description

Usage

Java Method ServerAdminDeferredStop

`void` ServerAdminDeferredStop ( )

Example

CORBA Method ServerAdminPause

Pause the server so that it does not accept any new work.

Description

Usage

Java Method ServerAdminPause

`void` ServerAdminPause ( )

Example

CORBA Method ServerAdminContinue

Resume server operation.

Description

Usage

Java Method ServerAdminContinue

`void` ServerAdminContinue ( )

Example

CORBA Attribute ServerAdminUniqueID (readonly)

This UUID is the per-execution instance identifier.

Description

Usage

Java Method ServerAdminUniqueID

    public java.lang.String ServerAdminUniqueID ();

CORBA Attribute ServerAdminName

Set or retrieve the name of the server.

Description

Usage

Java Method ServerAdminName

    public java.lang.String ServerAdminName ();
    public void ServerAdminName ( java.lang.String ServerAdminName );

CORBA Method ResetServerPerformance

This operation is not implemented.

Description

Usage

Java Method ResetServerPerformance

`void` ResetServerPerformance ( )

Example

CORBA Method GetServerPerformance

Get information regarding server status and performance.

Description

Usage

Java Method GetServerPerformance

`void` GetServerPerformance (

        DoubleSeqHolder values
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
values | out | DoubleSeqHolder | An array containing information on server performance indexed by ObjectStats.

Example

CORBA Method ServerAdminGetInfo

Get information about the server.

Description
This operation returns details about the server on which it is running. It returns two arrays of strings that describe the server.

Usage

Java Method ServerAdminGetInfo

`void` ServerAdminGetInfo (

        StringSeqHolder softwareInfo ,
        VariableArray2dOfStringHolder hardwareInfo
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
softwareInfo | out | StringSeqHolder | An array of strings containing information about the server on which it is running. If the information is not available or meaningful for a given host, an empty string is returned. The ServerAdminSoftwareInfoIndex contains an enumeration constant for the index of each slot in the array.
hardwareInfo | out | VariableArray2dOfStringHolder | A two dimensional array of strings. The rows represent processors in the server configuration. The columns represent information fields describing those processors. The ServerAdminHardwareInfoIndex contains an enumeration constant for the index of each column. When the information is not available or meaningful, an empty string is returned.

Example

CORBA Method ServerAdminControlInfo

Determine what functionality is supported.

Description

Usage

Java Method ServerAdminControlInfo

`void` ServerAdminControlInfo (

        org.omg.CORBA.BooleanHolder supportsStart ,
        org.omg.CORBA.BooleanHolder supportsStop ,
        org.omg.CORBA.BooleanHolder supportsDStop ,
        org.omg.CORBA.BooleanHolder supportsPause ,
        org.omg.CORBA.BooleanHolder supportsContinue
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
supportsStart | out | org.omg.CORBA.BooleanHolder | If true, ServerAdminStart is supported by the server.
supportsStop | out | org.omg.CORBA.BooleanHolder | If true, ServerAdminStop is supported by the server.
supportsDStop | out | org.omg.CORBA.BooleanHolder | If true, ServerAdminDeferredStop is supported by the server.
supportsPause | out | org.omg.CORBA.BooleanHolder | If true, ServerAdminPause is supported by the server.
supportsContinue | out | org.omg.CORBA.BooleanHolder | If true, ServerAdminContinue is supported by the server.

Example

CORBA Exception jnlNotAvail

"Journal Not Available" exception used by the JnlAccess operation.

Description
The JnlAccess operation requires the IOM journal trace file. The jnlNotAvail exception is raised if this file does not exist (the jnltrace/jnladmin options were probably not present at server invocation).

Java Class jnlNotAvail

public class jnlNotAvail

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlNotAvail

Java Class jnlNotAvailHelper

public class jnlNotAvailHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the jnlNotAvail type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlNotAvailHelper

Java Class jnlNotAvailHolder

public class jnlNotAvailHolder

Description
Implementing class for methods (_read, _write, _type) used to process the jnlNotAvail type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlNotAvailHolder

CORBA Exception jnlRecNotExist

"Journal Record Does Not Exist" exception used by the JnlAccess operation.

Description
If a client requests a record that no longer exists, the jnlRecNotExist exception is raised. This exception is different than an invalid request or a request past the end of file, as it signifies a once valid record has been removed by the journal's device driver.

Java Class jnlRecNotExist

public class jnlRecNotExist

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlRecNotExist

Java Class jnlRecNotExistHelper

public class jnlRecNotExistHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the jnlRecNotExist type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlRecNotExistHelper

Java Class jnlRecNotExistHolder

public class jnlRecNotExistHolder

Description
Implementing class for methods (_read, _write, _type) used to process the jnlRecNotExist type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlRecNotExistHolder

CORBA Exception jnlRecPastEnd

"Journal Record Past End" exception used by the JnlAccess operation.

Description
If the client requests a record that is beyond the current file, the jnlRecPastEnd exception is raised. A client must choose a starting position within the valid range of records.

Java Class jnlRecPastEnd

public class jnlRecPastEnd

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlRecPastEnd

Java Class jnlRecPastEndHelper

public class jnlRecPastEndHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the jnlRecPastEnd type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlRecPastEndHelper

Java Class jnlRecPastEndHolder

public class jnlRecPastEndHolder

Description
Implementing class for methods (_read, _write, _type) used to process the jnlRecPastEnd type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerAdmin_1_0Package.jnlRecPastEndHolder

CORBA Method JnlAccess

The JnlAccess operation is used to view the IOM journal for a given server.

Description
This operation allows a client to view the IOM journal trace records for a server while the server executes. The client specifies a record number as a starting position, the number of records and a direction to read. The operation then returns the requested records and the last record returned.

The jnlTrace and jnlAdmin options must be set upon server invocation to support JnlAccess. The jnlDelThr, jnlDelWin and jnlRedWin options are also available in order to configure internal processing.

Usage

Java Method JnlAccess

`void` JnlAccess (

        int startPos ,
        int recsRequested ,
        boolean backwardFlag ,
        StringSeqHolder jnlRecs ,
        org.omg.CORBA.IntHolder lastRec
        )
        throws (
                jnlNotAvail,
                jnlRecNotExist,
                jnlRecPastEnd,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
startPos | in | int | Record number that represents the starting position of the read. Positions are zero relative. -1 may be used for "concept" starting positions. If a client is reading forward (backwardFlag is null), JnlAccess will consider a startPos of -1 as the first record in the trace file. If the backwardFlag is set, -1 is considered the last record.
recsRequested | in | int | The number of records requested from the trace file. The number of records returned may not be equal to the recsRequested parameter. JnlAccess will return a lesser number if the request amount goes out of range.
backwardFlag | in | boolean | Flag that indicates the client would like to read records in reverse order.
jnlRecs | out | StringSeqHolder | The requested records (as an array of strings) from the IOM journal trace file.
lastRec | out | org.omg.CORBA.IntHolder | The last record in the jnlRecs array. "Last" is backwardFlag relative.

Example